Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002863 [JEDI VCL] 04 Feature Request tweak always 2005-04-12 00:10 2005-05-14 14:45
Reporter sanz View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0002863: Proxy support for JvHttpUrlGrabber
Description I am behind a firewall and need to use a Proxy to access the Internet. When using the JvHttpUrlGrabber I get as result page from grabbing the following error:
"HTTP 407 Proxy Authentication Required - The ISA Server requires authorization to fulfill the request. Access to the Web Proxy service is denied. (12209)
Internet Security and Acceleration Server".

How can I use a proxy together with this component? It would be good to have a Proxy-Property.

Thanks
Alfonso
Additional Information
Tags No tags attached.
Attached Files ? file icon JvUrlGrabbers.pas [^] (34,264 bytes) 2005-04-12 01:45

- Relationships
parent of 0002972resolvedobones JvHttpUrlGrabber - cannot configure proxy username or password 

-  Notes
(0006908)
obones (administrator)
2005-04-12 00:56

Right now, the proxy settings are read from the config or registry as indicated in MSDN:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wininet/wininet/internetopen.asp [^]

We use the INTERNET_OPEN_TYPE_PRECONFIG mode.

I'll have a look at implementing a bit more proxy support. No timing can be given at this point.
(0006910)
obones (administrator)
2005-04-12 01:46

Please try with the attached version of JvUrlGrabbers.pas, it introduces three new properties:

ProxyMode, ProxyAddresses and ProxyIgnoreList

Please read http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wininet/wininet/enabling_internet_functionality.asp [^] for details on the options available and the formatting of the two string properties.
(0007166)
obones (administrator)
2005-05-14 14:45

Without any feedback for the past month, I consider this is fine, hence I added it to CVS.

- Issue History
Date Modified Username Field Change
2005-04-12 00:10 sanz New Issue
2005-04-12 00:12 sanz Issue Monitored: sanz
2005-04-12 00:13 sanz Issue End Monitor: sanz
2005-04-12 00:27 obones Severity feature => tweak
2005-04-12 00:27 obones Category 00 JVCL Components => 04 Feature Request
2005-04-12 00:27 obones version 3.00 BETA 2 => 3.00
2005-04-12 00:27 obones Summary JvHttpUrlGrabber => Proxy support for JvHttpUrlGrabber
2005-04-12 00:46 obones Status new => assigned
2005-04-12 00:46 obones Assigned To => obones
2005-04-12 00:56 obones Note Added: 0006908
2005-04-12 01:45 obones File Added: JvUrlGrabbers.pas
2005-04-12 01:46 obones Note Added: 0006910
2005-04-12 01:46 obones Status assigned => feedback
2005-05-14 14:45 obones Status feedback => resolved
2005-05-14 14:45 obones Resolution open => fixed
2005-05-14 14:45 obones Note Added: 0007166
2005-05-20 02:09 obones Relationship added parent of 0002972


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker